package com.huatek.busi.vo.monitor;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

/**
 * 避雷器实时数据二级页面数据 Vo
 * 
 * @author edward
 * @date 2019/10/28
 */
@ApiModel(value = "BusiRptArresterMonitorVo", description = "避雷器实时数据二级页面数据 Vo")
public class BusiRptArresterMonitorDeailsVo  implements Serializable {
	private static final long serialVersionUID = 1L;

    @ApiModelProperty(name = "name", value = "名称")
    private String name;

    @ApiModelProperty(name = "collectValue", value = "监测值")
    private String collectValue;

    @ApiModelProperty(name = "thresholdValue", value = "阈值")
    private String thresholdValue;

    @ApiModelProperty(name = "warningValue", value = "预警值")
    private String warningValue;
    
    @ApiModelProperty(name = "stabilityIndex", value = "稳定性")
    private String stabilityIndex="--";

    @ApiModelProperty(name = "totalActionCount", value = "累计雷击次数")
    private String totalActionCount;
    
    @ApiModelProperty(name = "equipmentStatus", value = "工作状态")
    private String equipmentStatus ;

    public BusiRptArresterMonitorDeailsVo() {
		super();
	}
    
	public BusiRptArresterMonitorDeailsVo(String name) {
		super();
		this.name = name;
	}

	public BusiRptArresterMonitorDeailsVo(String name, String collectValue, String thresholdValue, String warningValue
			) {
		super();
		this.name = name;
		this.collectValue = collectValue;
		this.thresholdValue = thresholdValue;
		this.warningValue = warningValue;

	}
	
	public BusiRptArresterMonitorDeailsVo(String name, String collectValue, String thresholdValue, String warningValue,
			String stabilityIndex, String totalActionCount, String equipmentStatus) {
		super();
		this.name = name;
		this.collectValue = collectValue;
		this.thresholdValue = thresholdValue;
		this.warningValue = warningValue;
		this.stabilityIndex = stabilityIndex;
		this.totalActionCount = totalActionCount;
		this.equipmentStatus = equipmentStatus;
	}
	

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getCollectValue() {
		return collectValue;
	}

	public void setCollectValue(String collectValue) {
		this.collectValue = collectValue;
	}

	public String getThresholdValue() {
		return thresholdValue;
	}

	public void setThresholdValue(String thresholdValue) {
		this.thresholdValue = thresholdValue;
	}

	public String getWarningValue() {
		return warningValue;
	}

	public void setWarningValue(String warningValue) {
		this.warningValue = warningValue;
	}

	public String getStabilityIndex() {
		return stabilityIndex;
	}

	public void setStabilityIndex(String stabilityIndex) {
		this.stabilityIndex = stabilityIndex;
	}

	public String getTotalActionCount() {
		return totalActionCount;
	}

	public void setTotalActionCount(String totalActionCount) {
		this.totalActionCount = totalActionCount;
	}

	public String getEquipmentStatus() {
		return equipmentStatus;
	}

	public void setEquipmentStatus(String equipmentStatus) {
		this.equipmentStatus = equipmentStatus;
	}

}
